Skip to main content
GET
/
v2
/
submission
/
{submission_id}
/
decision
Fetch Adaptive Decision result [ca-1]
curl --request GET \
  --url https://api.ca-1.documents.resistant.ai/v2/submission/{submission_id}/decision \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "adaptive_decision_version": "0b17b09f",
  "decision": "APPROVED",
  "decision_inputs": {
    "fraud": {
      "url": "/v2/submission/60669c20-0e55-44d1-8277-49efd7c0f85a/fraud",
      "data": null
    }
  },
  "reason": {
    "sub_reason": {
      "value": "Subreason value",
      "label": "Example label"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

submission_id
string
required

Query Parameters

embed
string

Comma-separated list of decision_inputs that should be included into data attribute, e.g. ?embed=fraud.

Response

Results of Adaptive Decision if Adaptive Decision was enabled for the submission.

status
enum<string>
required

SUCCESS status indicates the Adaptive Decision result is available

Available options:
SUCCESS
decision
string
required

Value range of this field is determined by tenant configuration, however default values are enum: APPROVED, DECLINED, MANUAL_REVIEW

decision_inputs
Decision inputs · object
required

Inputs the decision is based on

adaptive_decision_version
string
required
reason
Customer-specific explanation of the decision · object